Merge lp:~l3on/ubuntu/precise/icecc/fix-ftbfs into lp:ubuntu/precise/icecc

Proposed by Leo Iannacone
Status: Merged
Merged at revision: 21
Proposed branch: lp:~l3on/ubuntu/precise/icecc/fix-ftbfs
Merge into: lp:ubuntu/precise/icecc
Diff against target: 326 lines (+33/-222)
9 files modified
.pc/10_rename_scheduler.diff/services/Makefile.am (+0/-20)
.pc/applied-patches (+0/-2)
.pc/fix_gcc_4.6_support.diff/client/icecc-create-env (+0/-195)
client/icecc-create-env (+1/-1)
debian/changelog (+6/-0)
debian/control (+2/-1)
debian/patches/20_fix_pkglibdir.patch (+20/-0)
debian/patches/series (+1/-0)
services/Makefile.am (+3/-3)
To merge this branch: bzr merge lp:~l3on/ubuntu/precise/icecc/fix-ftbfs
Reviewer Review Type Date Requested Status
Daniel Holbach (community) Approve
Ubuntu branches Pending
Review via email: mp+94704@code.launchpad.net

Description of the change

Fix ftbfs due to:
 `pkglibdir' is not a legitimate directory for `SCRIPTS'

To post a comment you must log in.
Revision history for this message
Daniel Holbach (dholbach) wrote :

Good work! :-)

review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== removed directory '.pc/10_rename_scheduler.diff'
2=== removed directory '.pc/10_rename_scheduler.diff/services'
3=== removed file '.pc/10_rename_scheduler.diff/services/Makefile.am'
4--- .pc/10_rename_scheduler.diff/services/Makefile.am 2010-04-22 09:12:27 +0000
5+++ .pc/10_rename_scheduler.diff/services/Makefile.am 1970-01-01 00:00:00 +0000
6@@ -1,20 +0,0 @@
7-INCLUDES = -I$(srcdir)/../minilzo
8-
9-lib_LTLIBRARIES = libicecc.la
10-
11-libicecc_la_SOURCES = job.cpp comm.cpp getifaddrs.cpp logging.cpp tempfile.c platform.cpp
12-libicecc_la_LIBADD = ../minilzo/libminilzo.la -ldl
13-libicecc_la_CFLAGS = -fPIC -DPIC
14-libicecc_la_CXXFLAGS = -fPIC -DPIC
15-
16-ice_HEADERS = job.h comm.h
17-noinst_HEADERS = bench.h exitcode.h getifaddrs.h logging.h tempfile.h platform.h
18-icedir = $(includedir)/icecc
19-
20-sbin_PROGRAMS = scheduler
21-scheduler_SOURCES = scheduler.cpp
22-scheduler_LDADD = libicecc.la
23-
24-pkgconfigdir = $(libdir)/pkgconfig
25-pkgconfig_DATA = icecc.pc
26-
27
28=== removed file '.pc/applied-patches'
29--- .pc/applied-patches 2011-08-14 09:56:52 +0000
30+++ .pc/applied-patches 1970-01-01 00:00:00 +0000
31@@ -1,2 +0,0 @@
32-fix_gcc_4.6_support.diff
33-10_rename_scheduler.diff
34
35=== removed directory '.pc/fix_gcc_4.6_support.diff'
36=== removed directory '.pc/fix_gcc_4.6_support.diff/client'
37=== removed file '.pc/fix_gcc_4.6_support.diff/client/icecc-create-env'
38--- .pc/fix_gcc_4.6_support.diff/client/icecc-create-env 2011-08-14 09:56:52 +0000
39+++ .pc/fix_gcc_4.6_support.diff/client/icecc-create-env 1970-01-01 00:00:00 +0000
40@@ -1,195 +0,0 @@
41-#! /usr/bin/env bash
42-# icecc -- A simple distributed compiler system
43-#
44-# Copyright (C) 2004 by the Icecream Authors
45-# GPL
46-
47-target_files=
48-
49-is_darwin=0
50-if test `uname` = Darwin; then
51- is_darwin=1
52-fi
53-
54-is_contained ()
55-{
56- case " $target_files " in
57- *" $1 "* ) return 0 ;;
58- *"=$1 "* ) return 0;;
59- * ) return 1 ;;
60- esac
61-}
62-
63-add_file ()
64-{
65- local name="$1"
66- local path="$1";
67- if test -n "$2"; then
68- name="$2"
69- fi
70- test -z "$name" && return
71- # ls -H isn't really the same as readlink, but
72- # readlink is not portable enough.
73- path=`ls -H $path`
74- toadd="$name=$path"
75- if test "$name" = "$path"; then
76- toadd=$path
77- fi
78- is_contained "$toadd" && return
79- echo "adding file $toadd"
80- target_files="$target_files $toadd"
81- if test -x "$path"; then
82- # Only call ldd when it makes sense
83- if file -L "$path" | grep 'ELF' > /dev/null 2>&1; then
84- if ! file -L "$path" | grep 'static' > /dev/null 2>&1; then
85- # ldd now outputs ld as /lib/ld-linux.so.xx on current nptl based glibc
86- # this regexp parse the outputs like:
87- # ldd /usr/bin/gcc
88- # linux-gate.so.1 => (0xffffe000)
89- # libc.so.6 => /lib/tls/libc.so.6 (0xb7e81000)
90- # /lib/ld-linux.so.2 (0xb7fe8000)
91- # covering both situations ( with => and without )
92- for lib in `ldd "$path" | sed -n 's,^[^/]*\(/[^ ]*\).*,\1,p'`; do
93- test -f "$lib" || continue
94- # Check wether the same library also exists in the parent directory,
95- # and prefer that on the assumption that it is a more generic one.
96- local baselib=`echo "$lib" | sed 's,\(/[^/]*\)/.*\(/[^/]*\)$,\1\2,'`
97- test -f "$baselib" && lib=$baselib
98- add_file "$lib"
99- done
100- fi
101- elif test "$is_darwin" = 1; then
102- for lib in `otool -L "$path" | sed -n 's,^[^/]*\(/[^ ]*\).*,\1,p'`; do
103- test -f "$lib" || continue
104- # Check wether the same library also exists in the parent directory,
105- # and prefer that on the assumption that it is a more generic one.
106- local baselib=`echo "$lib" | sed 's,\(/[^/]*\)/.*\(/[^/]*\)$,\1\2,'`
107- test -f "$baselib" && lib=$baselib
108- add_file "$lib"
109- done
110- fi
111- fi
112-}
113-
114-# backward compat
115-if test "$1" = "--respect-path"; then
116- shift
117-fi
118-
119-added_gcc=$1
120-shift
121-added_gxx=$1
122-
123-if test -z "$added_gcc" || test -z "$added_gxx"; then
124- echo "usage: $0 <gcc_path> <g++_path>"
125- exit 1
126-fi
127-
128-if ! test -x "$added_gcc" ; then
129- echo "'$added_gcc' is no executable."
130- exit 1
131-fi
132-
133-if ! test -x "$added_gxx" ; then
134- echo "'$added_gcc' is no executable."
135- exit 1
136-fi
137-
138-add_file $added_gcc /usr/bin/gcc
139-add_file $added_gxx /usr/bin/g++
140-add_file /usr/bin/as
141-
142-if test "$is_darwin" = 1; then
143- # add dynamic linker
144- add_file /usr/lib/dyld
145- real_file=`/usr/bin/gcc --version | head -n 1 2>&1 | cut -d" " -f1`
146- add_file /usr/bin/$real_file
147- real_file=`/usr/bin/g++ --version | head -n 1 2>&1 | cut -d" " -f1`
148- add_file /usr/bin/$real_file
149- real_file=`/usr/bin/as -micha -- < /dev/null 2>&1 | cut -d: -f1`
150- add_file $real_file
151-fi
152-
153-
154-add_file `$added_gcc -print-prog-name=cc1` /usr/bin/cc1
155-add_file `$added_gxx -print-prog-name=cc1plus` /usr/bin/cc1plus
156-specfile=`$added_gcc -print-file-name=specs`
157-if test -n "$specfile" && test "$specfile" != "specs" && test -e "$specfile"; then
158- add_file "$specfile"
159-fi
160-
161-plugin_name=liblto_plugin.so
162-plugin=`$added_gcc -print-prog-name=$plugin_name`
163-if test -n "$plugin" && test "$plugin" != "$plugin_name" && test -e "$plugin"; then
164- add_file "$plugin" "$plugin"
165-fi
166-
167-# for ldconfig -r to work, ld.so.conf must not contain relative paths
168-# in include directives. Make them absolute.
169-tmp_ld_so_conf=`mktemp /tmp/icecc_ld_so_confXXXXXX`
170-while read directive path; do
171- if [ "$directive" = "include" -a "${path:0:1}" != "/" ]; then
172- path="/etc/$path"
173- fi
174- echo "$directive $path"
175-done </etc/ld.so.conf >$tmp_ld_so_conf
176-add_file $tmp_ld_so_conf /etc/ld.so.conf
177-
178-tempdir=`mktemp -d /tmp/iceccenvXXXXXX`
179-# special case for weird multilib setups
180-for dir in /lib /lib64 /usr/lib /usr/lib64; do
181- test -L $dir && cp -p $dir $tempdir$dir
182-done
183-
184-new_target_files=
185-for i in $target_files; do
186- case $i in
187- *=/*)
188- target=`echo $i | cut -d= -f1`
189- path=`echo $i | cut -d= -f2`
190- ;;
191- *)
192- path=$i
193- target=$i
194- ;;
195- esac
196- mkdir -p $tempdir/`dirname $target`
197- cp -p $path $tempdir/$target
198- if test -f $tempdir/$target -a -x $tempdir/$target; then
199- strip -s $tempdir/$target 2>/dev/null
200- fi
201- target=`echo $target | cut -b2-`
202- new_target_files="$new_target_files $target"
203-done
204-
205-if test -x /sbin/ldconfig; then
206- mkdir -p $tempdir/var/cache/ldconfig
207- /sbin/ldconfig -r $tempdir
208- new_target_files="$new_target_files etc/ld.so.cache"
209-fi
210-
211-md5sum=NONE
212-for file in /usr/bin/md5sum /bin/md5 /usr/bin/md5 /sbin/md5; do
213- if test -x $file; then
214- md5sum=$file
215- break
216- fi
217-done
218-
219-# now sort the files in order to make the md5sums independent
220-# of ordering
221-target_files=`for i in $new_target_files; do echo $i; done | sort`
222-md5=`for i in $target_files; do $md5sum $tempdir/$i; done | sed -e 's/ .*$//' | $md5sum | sed -e 's/ .*$//'` || {
223- echo "Couldn't compute MD5 sum."
224- exit 2
225-}
226-echo "creating $md5.tar.gz"
227-mydir=`pwd`
228-cd $tempdir
229-tar -czhf "$mydir/$md5".tar.gz $target_files || {
230- echo "Couldn't create archive"
231- exit 3
232-}
233-cd ..
234-rm -rf $tempdir
235-rm -f $tmp_ld_so_conf
236
237=== modified file 'client/icecc-create-env'
238--- client/icecc-create-env 2011-08-14 09:56:52 +0000
239+++ client/icecc-create-env 2012-02-27 01:04:17 +0000
240@@ -119,7 +119,7 @@
241 fi
242
243 plugin_name=liblto_plugin.so
244-plugin=`$added_gcc -print-file-name=$plugin_name`
245+plugin=`$added_gcc -print-prog-name=$plugin_name`
246 if test -n "$plugin" && test "$plugin" != "$plugin_name" && test -e "$plugin"; then
247 add_file "$plugin" "$plugin"
248 fi
249
250=== modified file 'debian/changelog'
251--- debian/changelog 2011-09-17 16:26:59 +0000
252+++ debian/changelog 2012-02-27 01:04:17 +0000
253@@ -1,3 +1,9 @@
254+icecc (0.9.7-4ubuntu1) precise; urgency=low
255+
256+ * Fix pkglibdir issue (LP: #935178).
257+
258+ -- Leo Iannacone <l3on@ubuntu.com> Mon, 27 Feb 2012 01:42:39 +0100
259+
260 icecc (0.9.7-4) unstable; urgency=low
261
262 * Fix typo: ICECC_ALLOW_REMOTE.
263
264=== modified file 'debian/control'
265--- debian/control 2011-07-28 15:06:47 +0000
266+++ debian/control 2012-02-27 01:04:17 +0000
267@@ -1,7 +1,8 @@
268 Source: icecc
269 Section: devel
270 Priority: optional
271-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
272+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
273+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
274 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
275 Build-Depends: debhelper (>= 7.4.15), autoconf, automake, libtool, docbook2x,
276 libdevstat-dev [kfreebsd-any]
277
278=== added file 'debian/patches/20_fix_pkglibdir.patch'
279--- debian/patches/20_fix_pkglibdir.patch 1970-01-01 00:00:00 +0000
280+++ debian/patches/20_fix_pkglibdir.patch 2012-02-27 01:04:17 +0000
281@@ -0,0 +1,20 @@
282+Description: Fix pkglibdir as not a legitimate directory for `SCRIPTS'.
283+Author: Leo Iannacone <l3on@ubuntu.com>
284+Bug-Ubuntu: https://bugs.launchpad.net/bugs/935178
285+
286+---
287+ client/Makefile.am | 3 ++-
288+ 1 file changed, 2 insertions(+), 1 deletion(-)
289+
290+--- icecc.orig/client/Makefile.am
291++++ icecc/client/Makefile.am
292+@@ -1,7 +1,8 @@
293+ INCLUDES = -I$(srcdir)/../services
294+
295+ bin_PROGRAMS = icecc
296+-pkglib_SCRIPTS = icecc-create-env
297++iecc_pkglibdir = $(pkglibdir)
298++iecc_pkglib_SCRIPTS = icecc-create-env
299+ icecc_SOURCES = main.cpp arg.cpp cpp.cpp local.cpp remote.cpp util.cpp md5.c safeguard.cpp
300+ icecc_LDADD = ../services/libicecc.la $(LIBRSYNC)
301+ noinst_HEADERS = client.h md5.h util.h
302
303=== modified file 'debian/patches/series'
304--- debian/patches/series 2011-08-14 09:56:52 +0000
305+++ debian/patches/series 2012-02-27 01:04:17 +0000
306@@ -1,2 +1,3 @@
307 fix_gcc_4.6_support.diff
308 10_rename_scheduler.diff
309+20_fix_pkglibdir.patch
310
311=== modified file 'services/Makefile.am'
312--- services/Makefile.am 2010-04-22 09:12:27 +0000
313+++ services/Makefile.am 2012-02-27 01:04:17 +0000
314@@ -11,9 +11,9 @@
315 noinst_HEADERS = bench.h exitcode.h getifaddrs.h logging.h tempfile.h platform.h
316 icedir = $(includedir)/icecc
317
318-sbin_PROGRAMS = icecc-scheduler
319-icecc_scheduler_SOURCES = scheduler.cpp
320-icecc_scheduler_LDADD = libicecc.la
321+sbin_PROGRAMS = scheduler
322+scheduler_SOURCES = scheduler.cpp
323+scheduler_LDADD = libicecc.la
324
325 pkgconfigdir = $(libdir)/pkgconfig
326 pkgconfig_DATA = icecc.pc

Subscribers

People subscribed via source and target branches

to all changes: